<?php
namespace App\Exceptions;

class HTTPException extends \Exception
{
    private $httpCode = 500;

    public function __construct($httpCode, $message, $code = 0, Exception $previous = null) {
        $this->httpCode = $httpCode;
        parent::__construct($message, $code, $previous);
    }
    public function getHttpStatusCode() {
        return $this->httpCode;
    }

}