<?php include(__DIR__."/../layout/top.php"); ?>
    <div class="row">
        <div class="col-md-12">
            <h3>Apps <?php echo $app->name; ?></h3>
            <p><?php echo $app->description; ?></p>
            <a href="<?php echo $app->url; ?>"><?php echo $app->url; ?></a>
            <hr>
            <h2>Settings</h2>
            <form method="post">
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Beschreibung</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>Auto Accept</td>
                        <td>User dont have to click login, if the user is logged in he/she will immediately redirected back.</td>
                        <td>
                            <input name="auto_accept" type="checkbox" <?php if($app->auto_accept) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Testing Warning</td>
                        <td>Show warning that the Application is just in testing mode</td>
                        <td>
                            <input name="testing_warning" type="checkbox" <?php if($app->testing_warning) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Untrusted Warning</td>
                        <td>Show warning that the Application is untrusted</td>
                        <td>
                            <input name="untrusted_warning" type="checkbox" <?php if($app->untrusted_warning) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Show on Webpage</td>
                        <td>Show this App on the Webpage.</td>
                        <td>
                            <input name="show_on_webpage" type="checkbox" <?php if($app->show_on_webpage) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Hide in App list</td>
                        <td>User cant see this App in his app list</td>
                        <td>
                            <input name="hidden_in_app_list" type="checkbox" <?php if($app->hidden_in_app_list) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Disable remove Access</td>
                        <td>User can't remove Access to this App in the AppList</td>
                        <td>
                            <input name="user_cant_remove_app" type="checkbox" <?php if($app->user_cant_remove_app) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                    <tr>
                        <td>Disable auto redirect</td>
                        <td>User always have to click a button to go to the App</td>
                        <td>
                            <input name="stop_auto_redirect" type="checkbox" <?php if($app->stop_auto_redirect) { echo 'checked="checked"'; } ?>>
                        </td>
                    </tr>
                </table>
                <input type="submit" class="btn btn-warning" value="Save">
            </form>
        </div>
    </div>
<?php include(__DIR__."/../layout/bottom.php"); ?>